Lakehouse Turbo REST API (SaaS)

Learn how to interact with Lakehouse Turbo through the Exasol SaaS REST API.

Introduction

The Exasol SaaS REST API enables you to use RESTful commands to configure and manage replication in Lakehouse Turbo. You can interact with the REST API through the built-in Swagger UI, with an API client such as Postman or Insomnia, or using a command line tool such as curl.

To learn more about the REST API, see Exasol SaaS REST API.

Authentication

To use the REST API, you must first generate a personal access token (PAT). Personal access tokens function like regular OAuth access tokens. When interacting with the REST API on the command line or with an API client, you must add the token in the request header.

The personal access token must have the Database – use & operate scope.

To learn how to create a PAT and about token scopes, see Personal access token (SaaS).

Swagger UI

Swagger UI is an interactive API console that allows you to execute REST commands after authenticating. You can also use Swagger UI to generate REST commands that you can copy and use in other interfaces.

To learn more about how to use Swagger UI in Exasol, see Using Swagger UI.

Endpoints

For information about all available REST API endpoints, see the OpenAPI specification.

Examples

To get the state of the Lakehouse Turbo application using curl on the command line:

Copy
$ curl -X GET "https://cloud.exasol.com/api/v1/accounts/<account_id>/databases/<database_name>/dlhc/engine" -H "accept: application/json" -H "Authorization: Bearer <my_personal_access_token>"
{
    "state": "STARTED"
}